#include "guess.h"
int find_number(int MAX) {
    int tl = 0;
    int tr = MAX;
    int rez = MAX;
    while(tl <= tr)
    {
        int mid = tl+tr>>1;
        if(!smaller(mid))
        {
            rez = mid;
            tl = mid+1;
        }
        else tr = mid-1;
    }
    return rez;
}

